Package org.lwjgl.opengl

# Class ARBShaderAtomicCounters

java.lang.Object
org.lwjgl.opengl.ARBShaderAtomicCounters

public final class ARBShaderAtomicCounters extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACTIVE_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER`
Accepted by the <target> parameter of BindBufferBase and BindBufferRange:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_BINDING`
Accepted by the <pname> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, GetInteger64i_v, GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, GetDoublev, and GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_SIZE`
Accepted by the <pname> parameter of GetIntegeri_64v:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_START`
Accepted by the <pname> parameter of GetIntegeri_64v:
`static final int`
`GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_COMBINED_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_FRAGMENT_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_GEOMETRY_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VERTEX_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX`
Accepted by the <pname> parameter of GetActiveUniformsiv:
`static final int`
`GL_UNSIGNED_INT_ATOMIC_COUNTER`
Returned in <params> by GetActiveUniform and GetActiveUniformsiv:

## Method Summary

Modifier and Type
Method
Description
`static int`
`glGetActiveAtomicCounterBuffer(int program, int bufferIndex, int pname)`
Overloads glGetActiveAtomicCounterBufferiv.
`static void`
`glGetActiveAtomicCounterBuffer(int program, int bufferIndex, int pname, IntBuffer params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_ATOMIC_COUNTER_BUFFER

public static final int GL_ATOMIC_COUNTER_BUFFER
Accepted by the <target> parameter of BindBufferBase and BindBufferRange:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_BINDING

public static final int GL_ATOMIC_COUNTER_BUFFER_BINDING
Accepted by the <pname> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, GetInteger64i_v, GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, GetDoublev, and GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_START

public static final int GL_ATOMIC_COUNTER_BUFFER_START
Accepted by the <pname> parameter of GetIntegeri_64v:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_SIZE

public static final int GL_ATOMIC_COUNTER_BUFFER_SIZE
Accepted by the <pname> parameter of GetIntegeri_64v:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE

public static final int GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS

public static final int GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES

public static final int GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER

public static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER

public static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER

public static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER

public static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER

public static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS

public static final int GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS

public static final int GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS

public static final int GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS

public static final int GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS

public static final int GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS

public static final int GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_ATOMIC_COUNTERS

public static final int GL_MAX_VERTEX_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS

public static final int GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS

public static final int GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_ATOMIC_COUNTERS

public static final int GL_MAX_GEOMETRY_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_ATOMIC_COUNTERS

public static final int GL_MAX_FRAGMENT_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_ATOMIC_COUNTERS

public static final int GL_MAX_COMBINED_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE

public static final int GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS

public static final int GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_ACTIVE_ATOMIC_COUNTER_BUFFERS

public static final int GL_ACTIVE_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX

public static final int GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX
Accepted by the <pname> parameter of GetActiveUniformsiv:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_ATOMIC_COUNTER

public static final int GL_UNSIGNED_INT_ATOMIC_COUNTER
Returned in <params> by GetActiveUniform and GetActiveUniformsiv:

See Also:
  - Constant Field Values

## Method Details

### glGetActiveAtomicCounterBuffer

public static void glGetActiveAtomicCounterBuffer(int program, int bufferIndex, int pname, IntBuffer params)

### glGetActiveAtomicCounterBuffer

public static int glGetActiveAtomicCounterBuffer(int program, int bufferIndex, int pname)
Overloads glGetActiveAtomicCounterBufferiv.